Get Role
get
/v1/uwaas/roles/{roleId}
Retrieve a role by its identifier.
Request
Path Parameters
-
roleId(required): integer(int64)
Role identifier. Mapping: 1 - WALLET_SUPER_ADMIN 2 - ORG_ADMIN 3 - ORG_USER 4 - TOKEN_ADMINExample:
1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Role retrieved successfully.
Root Schema : RoleResponse
Type:
Show Source
object-
createdAt(required): string
(date-time)
Read Only:
true -
createdBy(required): string
Read Only:
trueExample:system -
description: string
Example:
Full access to organization administration features. -
id(required): integer
(int64)
Read Only:
trueExample:1 -
roleCode(required): string
Example:
ORG_ADMIN -
roleName(required): string
Example:
Organization Admin -
status(required): string
Allowed Values:
[ "ACTIVE", "INACTIVE" ]Role lifecycle status.Example:ACTIVE -
updatedAt(required): string
(date-time)
Read Only:
true -
updatedBy: string
Read Only:
trueExample:placeholder
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
details(required): array
details
-
error(required): string
Example:
Wallet Not Found -
errorCode(required): string
Example:
WALLET_NOT_FOUND -
message(required): string
Example:
Wallet with id 123 was not found. -
path(required): string
Example:
/v1/uwaas/wallets/123 -
status(required): integer
Example:
404 -
timestamp(required): string
(date-time)
Example:
2026-07-16T14:23:11.123Z